Imports System.Data
Imports System.IO
Imports System.Data.SqlClient



Public Class SiteLogic



    Shared Sub GetStatesDrp(ByVal drp As DropDownList)
        '--regionType: 1=both, 2=state only, 3=region only
        Dim objData As New RvDataUtil.DataUtil
        Dim aList As New ArrayList()
        Dim dr As SqlDataReader
        dr = objData.GetDataReaderSP("usp_getStates", aList)
        If (drp Is Nothing) Then
        Else
            drp.DataValueField = "StateID"
            drp.DataTextField = "StateName"
            drp.DataSource = dr
            drp.DataBind()
            drp.Items.Insert(0, New ListItem("-- Please Select --", ""))
        End If
        dr.Close()
        dr = Nothing
        HttpContext.Current.Trace.Write("getstates")
        objData.CloseConnection()
        objData = Nothing
    End Sub
    Shared Sub GetStatesDrp(ByVal lbox As ListBox)
        '--regionType: 1=both, 2=state only, 3=region only
        Dim objData As New RvDataUtil.DataUtil
        Dim aList As New ArrayList()
        Dim dr As SqlDataReader
        dr = objData.GetDataReaderSP("usp_getStates", aList)
        If (lbox Is Nothing) Then
        Else
            lbox.DataValueField = "StateID"
            lbox.DataTextField = "StateName"
            lbox.DataSource = dr
            lbox.DataBind()
            'lbox.Items.Insert(0, New ListItem("-- Please Select --", ""))
        End If
        dr.Close()
        dr = Nothing
        HttpContext.Current.Trace.Write("getstates")
        objData.CloseConnection()
        objData = Nothing
    End Sub
    Shared Sub GetCountriesDrp(Optional ByVal drp As DropDownList = Nothing)
        Dim objData As New RvDataUtil.DataUtil
        Dim dr As SqlDataReader
        Dim qrywhere As String = "(1=1)"
        dr = objData.GetDataReader("Select * from Countries Order by Country", "")
        If (drp Is Nothing) Then
        Else
            drp.DataValueField = "Country"
            drp.DataTextField = "Country"
            drp.DataSource = dr
            drp.DataBind()
            drp.Items.Insert(0, New ListItem("-- Please Select --", ""))
        End If
        dr.Close()
        HttpContext.Current.Trace.Write("getCountries")
        objData.CloseConnection()
        objData = Nothing
    End Sub


    Shared Function DirectoryExists(ByVal fullpath_of_dir As String) As Boolean
        Dim exists As Boolean = False
        Try
            Dim f2 As New DirectoryInfo(fullpath_of_dir)
            If (Not f2.Exists) Then
                exists = False
            Else
                exists = True
            End If
            f2 = Nothing
        Catch ex As Exception
            HttpContext.Current.Trace.Warn("DirectoryExists", "Error: " & ex.Message & "; " & ex.StackTrace & "; path=" & fullpath_of_dir)
        End Try
        Return exists
    End Function



    Shared Function getFileIcon(ByVal filename As String) As String
        If Len(filename) > 0 Then filename = LCase(filename)
        Dim img_icon As String = ""
        If InStr(LCase(filename), ".doc") Then
            img_icon = "<img src='/images/icons/icon_word.gif' border=0 alt='MS Word' align=baseline class=""doc"">"
        ElseIf InStr(LCase(filename), ".xls") Then
            img_icon = "<img src='/images/icons/icon_excel.gif' border=0 alt='MS Excel' align=baseline class=""doc"">"
        ElseIf InStr(LCase(filename), ".pdf") Then
            img_icon = "<img src='/images/icons/icon_pdf.gif' border=0 alt='PDF' class=""doc"">"
        ElseIf InStr(LCase(filename), ".ppt") Then
            img_icon = "<img src='/images/icons/icon_powerpoint.gif' border=0  alt='MS Powerpoint' align=baseline class=""doc"">"
        Else
            img_icon = "<img src='/images/icons/icon_other.gif' border=0 alt='Other' align=baseline class=""doc"">"
        End If
        Return img_icon
    End Function


    ''' <summary>
    ''' For tables with the following fields: sortOrder, Active
    ''' </summary>
    ''' <param name="drp"></param>
    ''' <param name="table"></param>
    ''' <param name="idfield"></param>
    ''' <param name="txtfield"></param>
    ''' <remarks></remarks>
    Shared Sub populate_genericList(ByVal drp As DropDownList, ByVal table As String, ByVal idfield As String, ByVal txtfield As String)
        Dim objData As New RvDataUtil.DataUtil
        Dim dr As SqlDataReader
        Dim query As String = ""
        query = "Select " & idfield & ", " & txtfield & " from " & table & " Where active=1 Order by isnull(SortOrder,999)," & txtfield
        dr = objData.GetDataReader(query, "")
        If (drp Is Nothing) Then
        Else
            drp.DataTextField = txtfield
            drp.DataValueField = idfield
            drp.DataSource = dr
            drp.DataBind()
            drp.Items.Insert(0, New ListItem("-- Please Select --", ""))
        End If
        If (Not dr Is Nothing) Then
            dr.Close()
        End If
        dr = Nothing
        objData.CloseConnection()
        objData = Nothing
    End Sub

    ''' <summary>
    ''' For tables with no active/sortorder fields
    ''' </summary>
    ''' <param name="drp"></param>
    ''' <param name="table"></param>
    ''' <param name="idfield"></param>
    ''' <param name="txtfield"></param>
    ''' <remarks></remarks>
    Shared Sub populate_genericListPlain(ByVal drp As DropDownList, ByVal table As String, ByVal idfield As String, ByVal txtfield As String)
        Dim objData As New RvDataUtil.DataUtil
        Dim dr As SqlDataReader
        Dim query As String = ""
        query = "Select " & idfield & ", " & txtfield & " from " & table & " Order by " & txtfield
        dr = objData.GetDataReader(query, "")
        If (drp Is Nothing) Then
        Else
            drp.DataTextField = txtfield
            drp.DataValueField = idfield
            drp.DataSource = dr
            drp.DataBind()
            drp.Items.Insert(0, New ListItem("-- Please Select --", ""))
        End If
        If (Not dr Is Nothing) Then
            dr.Close()
        End If
        dr = Nothing
        objData.CloseConnection()
        objData = Nothing
    End Sub

    Shared Sub populate_genericListPlain(ByVal cbl As CheckBoxList, ByVal table As String, ByVal idfield As String, ByVal txtfield As String)
        Dim objData As New RvDataUtil.DataUtil
        Dim dr As SqlDataReader
        Dim query As String = ""
        query = "Select " & idfield & ", " & txtfield & " from " & table & " Order by " & txtfield
        dr = objData.GetDataReader(query, "")
        If (cbl Is Nothing) Then
        Else
            cbl.DataTextField = txtfield
            cbl.DataValueField = idfield
            cbl.DataSource = dr
            cbl.DataBind()
        End If
        If (Not dr Is Nothing) Then
            dr.Close()
        End If
        dr = Nothing
        objData.CloseConnection()
        objData = Nothing
    End Sub


    Shared Sub initFredCK(ByVal fck As FredCK.FCKeditorV2.FCKeditor, Optional ByVal currentFolder As String = "/userdocs", _
                Optional ByVal width As Integer = 600, _
                Optional ByVal height As Integer = 250, _
                Optional ByVal toolbar As String = "")
        Dim appPath As String = ConfigurationManager.AppSettings("AppPath")
        HttpContext.Current.Trace.Warn("inside initFredCK")
        Try

            '--set the "currentFolder" to where root upload directory
            'fck.ImageBrowserURL = appPath & "fckeditor/editor/filemanager/browser/randy/browser.asp?currentFolder=" & currentFolder
            'fck.LinkBrowserURL = appPath & "fckeditor/editor/filemanager/browser/randy/browser.asp?currentFolder=" & currentFolder
            fck.ImageBrowserURL = appPath & "admin/admin_upload.aspx?fck=yes&foldername=" & currentFolder
            fck.LinkBrowserURL = appPath & "admin/admin_upload.aspx?fck=yes&foldername=" & currentFolder

            fck.BasePath = appPath & "fckeditor/"

            '--FCK doesnt reset the font formats
            fck.FontFormats = "p;h1;h2;h3;h4"

            '--check to see if the user is a translator. if they are, then no image upload
            If (toolbar = "") Then
                fck.ToolbarSet = ConfigurationManager.AppSettings("toolbar")
            Else
                fck.ToolbarSet = toolbar
            End If
            fck.Height = Unit.Pixel(height)
            fck.Width = Unit.Pixel(width)
            fck.EditorAreaCSS = appPath & "admin/admStyles.css"
            fck.UseBROnCarriageReturn = False   '--need <p> tags for lists

            Dim fckConfig As FredCK.FCKeditorV2.FCKeditorConfigurations = fck.Config
            HttpContext.Current.Trace.Warn("initFredCK", "imageBrowserURL: " & fckConfig.Item("ImageBrowserURL"))

        Catch ex As Exception
            HttpContext.Current.Trace.Warn("initFredCK", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try

    End Sub



    Shared Sub setImageConstraints(ByVal full_path As String, ByVal max_Width As Integer, ByVal max_Height As Integer, ByRef img_width As Integer, ByRef img_height As Integer)
        If (RvDataUtil.Formatting.FileExists(full_path)) Then
            '--determine the width & height here
            Dim imgInfo As New RvDataUtil.ImageInfo()
            imgInfo.Load(full_path)

            Dim pct As Double = 0
            Dim curr_height As Integer = 0
            Dim curr_width As Integer = 0
            If (max_Height > 0) Then
                If (imgInfo.Height >= max_Height) Then
                    pct = CDbl(max_Height / imgInfo.Height)
                    curr_height = max_Height
                    curr_width = imgInfo.Width * pct
                End If
                HttpContext.Current.Trace.Write("ImageConstraints", "Max=(" & max_Width & " x " & max_Height & "): (height) = " & curr_width & "," & curr_height & "; imgHeight=" & imgInfo.Height)
            End If
            If (max_Width > 0) Then
                If (curr_width > max_Width) Then
                    pct = CDbl(max_Width / imgInfo.Width)
                    curr_width = max_Width
                    curr_height = imgInfo.Height * pct
                ElseIf (imgInfo.Width > max_Width) And ((curr_width = 0) Or (curr_width > max_Width)) Then
                    pct = CDbl(max_Width / imgInfo.Width)
                    curr_width = max_Width
                    curr_height = imgInfo.Height * pct
                End If
            End If

            If (curr_width > 0) Then
                img_width = curr_width
                img_height = curr_height
            ElseIf (curr_height > 0) Then
                img_height = curr_height
                img_width = curr_width
            Else
                img_height = imgInfo.Height
                img_width = imgInfo.Width
            End If

            imgInfo.dispose()
            imgInfo = Nothing
        End If
    End Sub


    Shared Function getTranslation(ByVal phrase As String, ByVal currLang As String) As String
        Dim str As String = phrase
        If (currLang = "") Then Return str

        Dim objdata As New RvDataUtil.DataUtil
        Try

            Dim aList As New ArrayList
            Dim strError As String = ""
            aList.Add(phrase)
            Dim dr As SqlDataReader = objdata.GetDataReaderSP("usp_getTranslation", aList, strError)
            If (strError <> "") Then
                HttpContext.Current.Trace.Warn("usp_getTranslation.error=" & strError)
            End If
            If (dr.Read) Then
                str = RvDataUtil.Formatting.NotNull(dr("phrase_sp"))
            End If
            dr.Close()
        Catch ex As Exception
            HttpContext.Current.Trace.Warn("getTranslation", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try
        objdata.CloseConnection()
        Return str
    End Function


End Class


