Imports System.IO
Imports System.Data.SqlClient
Imports System.Data
Imports RV = RvDataUtil.Formatting



Public Class admin_admin
    Inherits System.Web.UI.Page

    Dim count As Integer = 0

    Public siteURL As String = ""
    Public objData As New RvDataUtil.DataUtil
    Dim strError As String = ""
    Dim aList As New ArrayList()

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here
        Session("holdssid") = "yes"
        siteURL = ConfigurationManager.AppSettings("siteURL")


        If (Not IsPostBack) Then
            Try

                Dim backcolor As String = ""
                Dim forecolor As String = ""
                'BusinessLogic.getGlobalColorPrefs(backcolor, forecolor)

                If (BusinessLogic.IsLoggedIn_admin) Then
                    Me.phMainMenu.Visible = True
                    Me.phLogin.Visible = False

                    Me.litUserID.Text = BusinessLogic.GetLoginInfo_admin("userid")
                    loadAreas()
                Else
                End If


            Catch ex As Exception
                Trace.Warn("Error: " & ex.Message & ", " & ex.StackTrace)
            End Try
        End If
    End Sub

    Sub click_login(ByVal s As Object, ByVal e As System.EventArgs) Handles btnLogin.Click
        If (Not Page.IsValid) Then
            Exit Sub
        End If
        Trace.Warn("inside click_login")

        Me.litMessage_login.Text = ""
        Dim returnval As Integer = 0
        returnval = BusinessLogic.LoginUser_admin(Me.txtUsername.Text, Me.txtPassword.Text)
        Trace.Warn("click_login", "returnval=" & returnval)
        If (returnval > 1) Then
            Me.litMessage_login.Text = "<font color=red>Unable to login. Please try again.</font><br><br>"
        Else
            Me.phLogin.Visible = False
            Me.phMainMenu.Visible = True

            Response.Redirect("admin.aspx")
        End If

    End Sub

    Sub loadAreas()
        Trace.Warn("inside loadAreas. userID=" & Me.litUserID.Text)

        Try

            Dim aList As New ArrayList()
            aList.Add(0)    '--adminareaId
            aList.Add(RV.getDbIntNull(Me.litUserID.Text, 0))
            aList.Add(0)    '-reportflag
            objData.showParameters("usp_adminAreas", aList)
            Dim ds As DataSet = objData.GetDataSetSP("usp_adminAreas", aList, strError)
            If (strError <> "") Then
                Trace.Warn("usp_AdminAreas.error=" & strError)
            End If
            Me.rptAreas.DataSource = ds
            Me.rptAreas.DataBind()

            aList.Clear()
            aList.Add(0)    '--adminareaId
            aList.Add(RV.getDbIntNull(Me.litUserID.Text, 0))
            aList.Add(1)    '--reportflag
            ds = objData.GetDataSetSP("usp_adminAreas", aList)
            Me.rptReportAreas.DataSource = ds
            Me.rptReportAreas.DataBind()

            If (Me.rptAreas.Items.Count = 0) And (Me.rptReportAreas.Items.Count > 0) Then
                Me.tdLeftCol.Visible = False
                Me.tdSpacerCol.Visible = False
            Else
                Me.tdLeftCol.Visible = True
                Me.tdSpacerCol.Visible = True
            End If

            If (Me.rptReportAreas.Items.Count = 0) Then
                Me.phReports.Visible = False
            End If


            ds = Nothing
        Catch ex As Exception
            Trace.Warn("loadAreas", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try

        objData.CloseConnection()

    End Sub

    Sub rptAreas_databound(ByVal s As Object, ByVal e As RepeaterItemEventArgs)
        If (e.Item.ItemType = ListItemType.AlternatingItem) Or (e.Item.ItemType = ListItemType.Item) Then

            Dim rptSubAreas As Repeater = CType(e.Item.FindControl("rptSubAreas"), Repeater)

            Dim aList As New ArrayList()
            aList.Add(RV.getDbIntNull(e.Item.DataItem("adminAreaID"), 0))    '--admin areaID
            aList.Add(RV.getDbIntNull(Me.litUserID.Text, 0))
            Dim ds As DataSet = objData.GetDataSetSP("usp_adminAreas", aList)

            rptSubAreas.DataSource = ds
            rptSubAreas.DataBind()

            ds = Nothing
            objData.CloseConnection()

        End If
    End Sub


End Class

