<!DOCTYPE html>
<html>
    <head>
        <title>Landscaping Products | Corner Stone Landscaping, Adair Iowa</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="css/bootstrap.min.css" rel="stylesheet" media="screen">
        <link href="css/bootstrap-responsive.min.css" rel="stylesheet" media="screen">
        <link href="css/csl.css" rel="stylesheet" media="screen">
        
        <!-- HTML5 shim for IE backwards compatibility -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    
      <link REL="SHORTCUT ICON" href="favicon.ico" /> 
    
        <meta name="description" content="Corner Stone Landscaping provides a variety of landscaping and tree care services in central Iowa.">
        
<meta name="keywords" content="Patios, Retaining Walls, Landscape Lighting, Firepits, Outdoor Kitchens, Boulders, Stonework, Lake Panorama, Panora, Guthrie Center, Atlantic, Tree Care, Perennials.">
</head>

<body>
<div style="background-color:#fff;">
<div class="visible-phone">
	<div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <button class="btn btn-navbar collapsed" data-target=".nav-collapse" data-toggle="collapse"  type="button">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a href="#" class="brand">Menu</a>
          <div class="nav-collapse collapse">
            <ul class="nav">
              <li class=""><a href="default.asp" >Home</a></li>
              <!--<li class=""><a href="about_us.asp">About Us</a></li>-->
              <li ><a href="services.asp">Services</a></li>
              <li class=""><a href="portfolio.aspx">Portfolio</a></li>
<li class="active"><a href="products.asp">Products</a></li>
<li><a href="apply.asp">Apply</a></li>
              <li class=""><a href="contact_us.asp">Contact Us</a></li>

            </ul>
          </div>
        </div>
      </div>
    </div>
</div>
<div class="container">
	<div class="row top">
   	  <div class="span12">
        
        <a href="default.asp"><h1 class="logo">Corner Stone Landscaping</h1></a>
        
         <div class="nav_container">
          <span class="phone"> Need a Quote? (641) 742-3009</span>
           <ul class="nav nav-pills">
           <li class=""><a href="default.asp" >Home</a></li>
              <!--<li class=""><a href="about_us.asp">About Us</a></li>-->
              <li ><a href="services.asp">Services</a></li>
              <li class=""><a href="portfolio.aspx">Portfolio</a></li>
<li class="active"><a href="products.asp">Products</a></li>
<li><a href="apply.asp">Apply</a></li>
              <li class=""><a href="contact_us.asp">Contact Us</a></li>
            </ul>
            </div>
        
            
            
           
            
      <!--end of span12--></div>
        
         
         

    
    
    <!--end of row--></div>
<!--end of container--></div>

<div class="inside_wrap">

	<div class="container">
    	<div class="row">
        	<div class="span12">
            <h1>Landscaping Products</h1>
           	  <div class="pad">
           	    <h2>Our Suppliers</h2>
<p>At Corner Stone Landscaping, we use a number of suppliers throughout the midwest to find the materials and products to turn your landscape project into a work of art. Learn about our suppliers, or visit their websites to see the high quality materials that will help your project stand the test of time.</p>
              
              <h3>Trees, Flowers Shrubs</h3>
              <p><strong>Monrovia</strong> is committed to enhancing the beauty and value of the North American landscape  one garden at a time. By producing the strongest plants in the industry, we offer you peace of mind and quality assurance that stands behind each and every Monrovia plant. Learn more at <a href="http://www.monrovia.com/" target="_blank">www.monrovia.com</a>.</p>
              
              <h3>Pavers</h3>
              <p>Whether youre looking to add some old world charm to your patio, or contemporary flare to your walkway, <strong>Belgard</strong> offers a variety of pavers, including brick pavers, concrete pavers and more. We can help you create an eye-catching walkway, patio or driveway. Our pavers come in a number of styles, shapes and tones to help you add the right personality and charm to transform your outdoor living spaces. And, in addition to style, Belgard brick pavers are design to be strong, durable and environmentally friendly, ensuring your driveway or patio will stand the test of time. Learn more at <a href="http://www.belgard.com/products/pavers" target="_blank">www.belgard.com</a>.</p>
              
              <p><strong>Rochester Concrete Products</strong> is a manufacturer and distributor of quality hardscapes materials from Silver Creek Stoneworks, Rockwood Retaining Walls, Interlock Concrete Products, Rosetta, Techniseal, Snap Edge Paver Restraint, AWS Pedestal System, Unique Lighting Systems, Strata Systems, FireRock, and Super-Stik. Learn more at <a href="http://rochestercp.com/hardscape-products.html" target="_blank">www.rochestercp.com</a>.</p>
         
              
              <h3>Retaining Wall Blocks</h3>
              <p>Outdoor areas of any size or shape can be transformed with <strong>Anchor</strong> products. Colors, shapes and textures of Anchor products blend with the environment to create attractive and functional landscape features. Learn more at <a href="http://anchorwall.com/exploration/product-catalog/default.aspx" target="_blank">www.anchorwall.com</a></p>
				
                
               <h3>Natural Stone</h3>
               <p>Bring new levels of refinement and style to your outdoor space with landscaping stones. <strong>Semco Outdoor</strong> carries some of the finest stone landscaping materials in the Kansas City and Belton areas, including durable, trusted brands like Belgard. Flagstone and pattern flagstone are our specialties  we can help you select and haul the stone that best suits your needs and your vision. Learn more at <a href="http://www.semcooutdoor.com/kansascity/products/10-landscaping-stone.html" target="_blank">www.semcooutdoor.com</a>.</p>
               
               
               <h3>Landscape Lighting</h3>
               <p>Professional Landscape Lighting adds beauty, character and safety to your home.  Path lights, accent lights and deck lights enhance the unique styling of your home, while offering the functionality and peace of mind of a well lit outdoor space or hardscape design. Learn more at <a href="http://www.kichler.com/products/category/landscape-lighting.aspx" target="_blank">http://www.kichler.com/</a>.</p>
               
               
               
                
                
                


<!--end of pad-->
            	</div>
        	</div>
        </div>
    </div>

<!--end of inside_wrap--></div>

</div>
<!--#include file="footer.inc" -->




<script src="http://code.jquery.com/jquery.js"></script>
<script src="js/bootstrap.min.js"></script>

</body>
</html>