Imports System.IO
Imports System.Data.SqlClient
Imports System.Data
Imports RvDataUtil.Formatting



Public Class admin_pagecontent
    Inherits System.Web.UI.Page


    Dim count As Integer = 0

    Public siteURL As String = ""
    Dim objData As New RvDataUtil.DataUtil
    Dim aList As New ArrayList()
    Dim strError As String = ""

    Dim idfield As String = "pageContentID"
    Dim tablename As String = "tblPageContent"
    Public pagetitle As String = "Page Content"

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        SiteLogic.initFredCK(Me.fckInfo, , , 400)
    End Sub

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here
        siteURL = ConfigurationManager.AppSettings("siteURL")

        If (Not BusinessLogic.IsLoggedIn_admin) Then
            Response.Redirect("~/admin/admin.aspx")
        End If

        If (Not IsPostBack) Then
            Try

                binddgList()

                Dim backcolor As String = ConfigurationManager.AppSettings("backcolor")
                Dim forecolor As String = ConfigurationManager.AppSettings("forecolor")
                Me.btnSubmit.ForeColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.btnSubmit.BackColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.btnSubmit.Font.Bold = True

                Me.dgList.HeaderStyle.BackColor = System.Drawing.ColorTranslator.FromHtml(backcolor)
                Me.dgList.HeaderStyle.ForeColor = System.Drawing.ColorTranslator.FromHtml(forecolor)
                Me.dgList.HeaderStyle.Font.Bold = True

            Catch ex As Exception
                Trace.Warn("Error: " & ex.Message & ", " & ex.StackTrace)
            End Try
        End If
    End Sub

    Sub click_search(ByVal s As Object, ByVal e As System.EventArgs) Handles btnSearch.Click
        binddgList()
    End Sub


    '---------------------------------------------
    ' displaying list 
    '---------------------------------------------
    Private Sub binddgList()
        '-- load up the datagrid now
        Dim query As String = ""

        Dim sort As String = "Pagename, Headline"
        Dim qrywhere As String = "(1=1)"
        If (Me.txtSearch_name.Text <> "") Then
            Dim srch As String = Replace(Me.txtSearch_name.Text, "'", "''")
            qrywhere += " and ((headline like '%" & srch & "%') or (info like '%" & srch & "%'))"
        End If
        If Len(ViewState("sortPage")) > 0 Then sort = ViewState("sortPage")

        aList.Clear()
        aList.Add(RvDataUtil.Formatting.getDbIntNull(BusinessLogic.GetLoginInfo_admin("userid"), 0))
        aList.Add(qrywhere)
        aList.Add(sort)

        Dim ds As DataSet = objData.ExecuteSPDataset("usp_adminPageContent", "list", aList, strError)
        Trace.Warn("strError=" & strError)

        If (ds.Tables(0).Rows.Count = 0) Then
            Me.dgList.Visible = False
            Me.litMessage.Text = "There are currently no page content items."
        Else
            If (ds.Tables(0).Rows.Count < Me.dgList.PageSize) Then
                Me.dgList.PagerStyle.Visible = False
            Else
                Me.dgList.PagerStyle.Visible = True
            End If
            Me.dgList.Visible = True
            Me.litMessage.Text = "<br>There are " & ds.Tables(0).Rows.Count & " records"
        End If
        Me.dgList.DataKeyField = idfield
        Me.dgList.DataSource = ds
        Me.dgList.DataBind()



        ds = Nothing
        objData.CloseConnection()
    End Sub

    Sub dgList_onitemdatabound(ByVal s As Object, ByVal e As DataGridItemEventArgs) Handles dgList.ItemDataBound
        If (e.Item.ItemType = ListItemType.AlternatingItem) Or (e.Item.ItemType = ListItemType.Item) Then
            Try
                CType(e.Item.FindControl("litDatagridID"), Literal).Text = objData.Nz(e.Item.DataItem(idfield), "")
                Trace.Write("dgList", "litDatagridID=" & objData.Nz(e.Item.DataItem(idfield), ""))

            Catch ex As Exception
                Trace.Warn("OnItemDataBound error: " & ex.StackTrace)
            End Try

            If e.Item.ItemType = ListItemType.Item Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='white'")
            End If
            If e.Item.ItemType = ListItemType.AlternatingItem Then
                e.Item.Attributes.Add("onmouseout", "this.style.backgroundColor='#f0f3ff'")
            End If
            'e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='" & headerHead_inc.getAccentBg() & "'")
            e.Item.Attributes.Add("onmouseover", "this.style.backgroundColor='#f0f0a0'")

        ElseIf (e.Item.ItemType = ListItemType.EditItem) Then
        End If

        Dim lb As ImageButton = CType(e.Item.FindControl("ibtnDel"), ImageButton)
        If Not lb Is Nothing Then
            lb.Attributes.Add("onClick", "return confirm('Are you sure you wish to delete this item?\nID=" & e.Item.DataItem(idfield) & "')")
        End If
    End Sub
    Sub dgList_command(ByVal s As Object, ByVal e As DataGridCommandEventArgs)
        Trace.Write("command=" & e.CommandName.ToString())
        If (e.CommandName.ToString() = "Update") Then
        ElseIf (e.CommandName.ToString() = "Delete") Then
            Try
                Dim ID As String = CType(e.Item.FindControl("litDatagridID"), Literal).Text
                Trace.Write("IN DELETE. ID=" & ID)
                Dim dgi As DataGridItem = Me.dgList.Items(e.Item.ItemIndex)

                Dim qry As String = "DELETE From " & tablename & " WHERE " & idfield & "=" & ID
                objData.GetValueDataSet(qry, "table", "")

                objData.CloseConnection()
                dgList.EditItemIndex = -1
                Me.binddgList()
            Catch ex As Exception
                Trace.Warn("deleting...", "Error: " & ex.Message & "; " & ex.StackTrace)
            End Try

        ElseIf (e.CommandName.ToString() = "Edit") Then
            Dim ID As String = CType(e.Item.FindControl("litDatagridID"), Literal).Text
            Me.loadForm(ID)
        End If
    End Sub
    Sub dgList_SortCommand(ByVal s As Object, ByVal e As DataGridSortCommandEventArgs)
        Trace.Write("inside sortCommand=" & e.SortExpression.ToString)
        Dim sort As String = e.SortExpression
        If (sort = "ID") Then sort = idfield
        If (ViewState("sortPage") = sort) Then
            sort += " desc"
        End If
        ViewState("sortPage") = sort
        dgList.CurrentPageIndex = 0
        binddgList()
    End Sub
    Sub dgList_PageIndexChanged(ByVal s As Object, ByVal e As DataGridPageChangedEventArgs)
        dgList.CurrentPageIndex = e.NewPageIndex
        binddgList()
    End Sub




    Public Sub ShowList(ByVal sender As Object, ByVal e As System.EventArgs)
        Trace.Write("showlist...")
        Me.pnlDatagrid.Visible = True
        Me.pnlEditForm.Visible = False
    End Sub
    Public Sub AddNew(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.loadForm("")
    End Sub


    Sub loadForm(Optional ByVal ID As String = "")
        Trace.Write("inside LoadForm.ID=" & ID)
        Me.pnlDatagrid.Visible = False
        Me.pnlEditForm.Visible = True

        If Len(ID) > 0 And IsNumeric(ID) Then
            litEditForm.Text = "Edit " & pagetitle & ":"
        Else
            litEditForm.Text = "Add New " & pagetitle & ":"
            ID = "-1"
        End If

        Try

            Dim query As String = ""
            If (ID = "") Then ID = "0"

            query = "select * from " & tablename & " where " & idfield & "=" & ID
            Dim dr As SqlDataReader = objData.ExecuteDataReader(query, "")
            If (dr.Read) Then
                Trace.Write("setting up form fields -- edit")
                Me.litID.Text = objData.Nz(dr(idfield), "")
                Me.drpPagename.SelectedIndex = drpPagename.Items.IndexOf(drpPagename.Items.FindByValue(objData.Nz(dr("pagename"), "")))
                Me.txtHeadline.Text = objData.Nz(dr("headline"), "")
                Me.rblActive.SelectedIndex = rblActive.Items.IndexOf(rblActive.Items.FindByValue(RvDataUtil.Formatting.getDbIntNull(dr("active"), 0)))

                Me.fckInfo.Value = objData.Nz(dr("info"), "")
                Me.litCreateDate.Text = objData.Nz(dr("createdate"), "")
                Me.litCreatedBy.Text = objData.Nz(dr("createdby"), "")
                Me.litModifyDate.Text = objData.Nz(dr("modifydate"), "")
                Me.litModifiedBy.Text = objData.Nz(dr("modifiedby"), "")
            Else
                Me.litID.Text = ""
                Me.drpPagename.SelectedIndex = -1
                Me.txtHeadline.Text = ""
                Me.rblActive.SelectedIndex = 0
                Me.fckInfo.Value = ""

                Me.litCreateDate.Text = ""
                Me.litCreatedBy.Text = ""
                Me.litModifyDate.Text = ""
                Me.litModifiedBy.Text = ""
            End If
            dr.Close()
            dr = Nothing
        Catch ex As Exception
            Trace.Warn("loadSummary", "Error: " & ex.Message & "; " & ex.StackTrace)
        End Try
        objData.CloseConnection()
    End Sub



    '------------------------------------------------------------------------
    ' saving Information -- when creating item, or editing as admin
    '------------------------------------------------------------------------
    Public Sub SaveRecord(ByVal sender As Object, ByVal e As System.EventArgs)
        Trace.Write("saverecord", "ID=" & Me.litID.Text)
        Dim ID As String = Me.litID.Text
        If (ID = "") Then ID = "0"
        If (Not Page.IsValid) Then
            Exit Sub
        End If

        If ID = "0" Then ID = "-1"
        Dim pc As CSL.Classes.PageContent = CSL.Classes.PageContentManager.GetItem(ID)
        If (pc Is Nothing) Then
            pc = New CSL.Classes.PageContent
        End If
        pc.PageName = Me.drpPagename.SelectedValue
        pc.Headline = Me.txtHeadline.Text
        pc.Info = Me.fckInfo.Value
        If (Me.rblActive.SelectedIndex = 0) Then
            pc.Active = True
        Else
            pc.Active = False
        End If
        pc.CreatedBy = BusinessLogic.GetLoginInfo_admin("name")       '--user

        pc.Save()


        Me.pnlDatagrid.Visible = True
        Me.pnlEditForm.Visible = False
        Me.binddgList()


    End Sub


End Class

