﻿
Partial Class portfolioCategory
    Inherits System.Web.UI.Page

    Sub page_load(s As Object, e As System.EventArgs) Handles Me.Load

        If (Not IsPostBack) Then

            Dim categoryID As Integer = RvDataUtil.Formatting.getDbIntNull(Request.QueryString("catID"), 0)
            If (categoryID <= 0) Then
                Response.Redirect("portfolio.aspx")
            End If

            Dim cat As CSL.Classes.Category = CSL.Classes.CategoryManager.GetItem(categoryID)
            If (Not cat Is Nothing) Then
                Me.litCategory.Text = cat.Category


                Dim lPort As CSL.Classes.PortfolioList = CSL.Classes.PortfolioManager.GetList(categoryID)
                Me.rptThumbs.DataSource = lPort
                Me.rptThumbs.DataBind()

            End If
        End If
    End Sub

    Sub rptThumbs_databound(s As Object, e As RepeaterItemEventArgs) Handles rptThumbs.ItemDataBound
        If (e.Item.ItemType = ListItemType.Item) Or (e.Item.ItemType = ListItemType.AlternatingItem) Then
            Dim p As CSL.Classes.Portfolio = e.Item.DataItem

            Dim aLink As HtmlAnchor = CType(e.Item.FindControl("aLink"), HtmlAnchor)
            Dim imgThumb As WebControls.Image = CType(e.Item.FindControl("imgThumb"), WebControls.Image)

            aLink.HRef = ResolveUrl("~/") & "userdocs/" & p.Image_large
            aLink.Attributes.Add("title", p.PortfolioName)
            imgThumb.ImageUrl = "~/userdocs/thumb/" & p.Image_thumb
            imgThumb.AlternateText = p.PortfolioName

        End If
    End Sub



End Class
